Upstream information

CVE-2018-19591 at MITRE

Description

In the GNU C Library (aka glibc or libc6) through 2.28, attempting to resolve a crafted hostname via getaddrinfo() leads to the allocation of a socket descriptor that is not closed. This is related to the if_nametoindex() function.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.5
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Attack Vector Network
Attack Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entry: 1117603 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Micro 6.0
  • glibc >= 2.38-6.4
  • glibc-devel >= 2.38-6.4
  • glibc-locale >= 2.38-6.4
  • glibc-locale-base >= 2.38-6.4
Patchnames:
SUSE Linux Enterprise Micro 6.0 GA glibc-2.38-6.4
openSUSE Tumbleweed
  • glibc >= 2.34-1.2
  • glibc-devel >= 2.34-1.2
  • glibc-devel-static >= 2.34-1.2
  • glibc-extra >= 2.34-1.2
  • glibc-html >= 2.34-1.2
  • glibc-i18ndata >= 2.34-1.2
  • glibc-info >= 2.34-1.2
  • glibc-lang >= 2.34-1.2
  • glibc-locale >= 2.34-1.2
  • glibc-locale-base >= 2.34-1.2
  • glibc-profile >= 2.34-1.2
  • nscd >= 2.34-1.2
Patchnames:
openSUSE-Tumbleweed-2024-10792


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise Desktop 15 SP6 glibc Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 glibc Not affected
SUSE Linux Enterprise High Performance Computing 15 SP6 glibc Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP6 glibc Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP6 glibc Already fixed
SUSE Linux Enterprise Server 12 SP5 glibc Not affected
SUSE Linux Enterprise Server 15 SP6 glibc Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 glibc Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP6 glibc Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP5 glibc Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SLES15-EC2-CHOST-HVM-BYOS glibc Not affected
SLES15-SP1-CHOST-BYOS-Azure glibc Not affected
SLES15-SP1-CHOST-BYOS-EC2 glibc Not affected
SLES15-SP1-CHOST-BYOS-GCE glibc Not affected
SLES15-SP2-CHOST-BYOS-Aliyun glibc Not affected
SLES15-SP2-CHOST-BYOS-Azure glibc Not affected
SLES15-SP2-CHOST-BYOS-EC2 glibc Not affected
SLES15-SP2-CHOST-BYOS-GCE glibc Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 glibc Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS glibc Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS glibc Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 glibc Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 glibc Not affected
SUSE Linux Enterprise Server 15 SP2 glibc Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS glibc Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 glibc Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 glibc Not affected
Magnum Orchestration 7 glibc Not affected
SLES for SAP Applications 11 SP3 glibc Not affected
SUSE CaaS Platform 3.0 glibc Not affected
SUSE CaaS Platform 4.0 glibc Not affected
SUSE Container as a Service Platform 1.0 glibc Unsupported
SUSE Container as a Service Platform 2.0 glibc Not affected
SUSE Enterprise Storage 6 glibc Not affected
SUSE Enterprise Storage 7 glibc Not affected
SUSE Linux Enterprise Desktop 11 SP4 glibc Not affected
SUSE Linux Enterprise Desktop 12 glibc Not affected
SUSE Linux Enterprise Desktop 12 SP1 glibc Not affected
SUSE Linux Enterprise Desktop 12 SP2 glibc Not affected
SUSE Linux Enterprise Desktop 12 SP3 glibc Not affected
SUSE Linux Enterprise Desktop 12 SP4 glibc Not affected
SUSE Linux Enterprise Desktop 15 glibc Not affected
SUSE Linux Enterprise Desktop 15 SP1 glibc Not affected
SUSE Linux Enterprise Desktop 15 SP2 glibc Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 glibc Not affected
SUSE Linux Enterprise High Performance Computing 15 glibc Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 glibc Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS glibc Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS glibc Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS glibc Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS glibc Not affected
SUSE Linux Enterprise Micro 5.0 glibc Not affected
SUSE Linux Enterprise Module for Basesystem 15 glibc Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 glibc Not affected
SUSE Linux Enterprise Module for Development Tools 15 glibc Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP1 glibc Not affected
SUSE Linux Enterprise Real Time 15 SP2 glibc Not affected
SUSE Linux Enterprise Server 11 SP3 glibc Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS glibc Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS glibc Not affected
SUSE Linux Enterprise Server 11 SP4 glibc Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS glibc Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS glibc Not affected
SUSE Linux Enterprise Server 12 glibc Not affected
SUSE Linux Enterprise Server 12 SP1 glibc Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS glibc Not affected
SUSE Linux Enterprise Server 12 SP2 glibc Not affected
SUSE Linux Enterprise Server 12 SP2-BCL glibc Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS glibc Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS glibc Not affected
SUSE Linux Enterprise Server 12 SP3 glibc Not affected
SUSE Linux Enterprise Server 12 SP3-BCL glibc Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS glibc Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS glibc Not affected
SUSE Linux Enterprise Server 12 SP4 glibc Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS glibc Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS glibc Not affected
SUSE Linux Enterprise Server 12-LTSS glibc Not affected
SUSE Linux Enterprise Server 15 glibc Not affected
SUSE Linux Enterprise Server 15 SP1 glibc Not affected
SUSE Linux Enterprise Server 15 SP1-BCL glibc Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS glibc Not affected
SUSE Linux Enterprise Server 15 SP2-BCL glibc Not affected
SUSE Linux Enterprise Server 15-LTSS glibc Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 glibc Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 glibc Not affected
SUSE Linux Enterprise Server for SAP Applications 12 glibc Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 glibc Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 glibc Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 glibc Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 glibc Not affected
SUSE Linux Enterprise Server for SAP Applications 15 glibc Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 glibc Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 glibc Not affected
SUSE Linux Enterprise Software Development Kit 12 glibc Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 glibc Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 glibc Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 glibc Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 glibc Not affected
SUSE Manager Proxy 4.0 glibc Not affected
SUSE Manager Proxy 4.1 glibc Not affected
SUSE Manager Retail Branch Server 4.0 glibc Not affected
SUSE Manager Retail Branch Server 4.1 glibc Not affected
SUSE Manager Server 4.0 glibc Not affected
SUSE Manager Server 4.1 glibc Not affected
SUSE OpenStack Cloud 7 glibc Not affected
SUSE OpenStack Cloud 8 glibc Not affected
SUSE OpenStack Cloud 9 glibc Not affected
SUSE OpenStack Cloud Crowbar 8 glibc Not affected
SUSE OpenStack Cloud Crowbar 9 glibc Not affected
Container Status
bci/bci-busybox:15.6
bci/bci-init:15.6
bci/bci-micro:15.6
bci/bci-minimal:15.6
bci/bci-sle15-kernel-module-devel:15.6
bci/openjdk-devel:21
bci/openjdk:21
bci/python:3
suse/manager/5.0/x86_64/proxy-httpd
suse/manager/5.0/x86_64/proxy-salt-broker
suse/manager/5.0/x86_64/proxy-squid
suse/manager/5.0/x86_64/proxy-ssh
suse/manager/5.0/x86_64/proxy-tftpd
suse/manager/5.0/x86_64/server
suse/manager/5.0/x86_64/server-attestation
suse/manager/5.0/x86_64/server-hub-xmlrpc-api
suse/manager/5.0/x86_64/server-migration-14-16
suse/sle15:15.6
suse/sles/15.6/cdi-apiserver:1.58.0
suse/sles/15.6/cdi-cloner:1.58.0
suse/sles/15.6/cdi-controller:1.58.0
suse/sles/15.6/cdi-importer:1.58.0
suse/sles/15.6/cdi-operator:1.58.0
suse/sles/15.6/cdi-uploadproxy:1.58.0
suse/sles/15.6/cdi-uploadserver:1.58.0
suse/sles/15.6/libguestfs-tools:1.1.1
suse/sles/15.6/pr-helper:1.1.1
suse/sles/15.6/virt-api:1.1.1
suse/sles/15.6/virt-controller:1.1.1
suse/sles/15.6/virt-exportproxy:1.1.1
suse/sles/15.6/virt-exportserver:1.1.1
suse/sles/15.6/virt-handler:1.1.1
suse/sles/15.6/virt-launcher:1.1.1
suse/sles/15.6/virt-operator:1.1.1
glibcAlready fixed
ses/6/cephcsi/cephcsi
ses/6/rook/ceph
ses/7/ceph/ceph
ses/7/ceph/grafana
ses/7/ceph/prometheus-alertmanager
ses/7/ceph/prometheus-node-exporter
ses/7/ceph/prometheus-server
ses/7/cephcsi/cephcsi
ses/7/cephcsi/csi-attacher:v2.1.0
ses/7/cephcsi/csi-attacher:v3.3.0
ses/7/cephcsi/csi-livenessprobe:v1.1.0
ses/7/cephcsi/csi-node-driver-registrar:v1.2.0
ses/7/cephcsi/csi-node-driver-registrar:v2.3.0
ses/7/cephcsi/csi-provisioner:v1.6.0
ses/7/cephcsi/csi-provisioner:v3.0.0
ses/7/cephcsi/csi-resizer:v0.4.0
ses/7/cephcsi/csi-resizer:v1.3.0
ses/7/cephcsi/csi-snapshotter:v2.1.0
ses/7/cephcsi/csi-snapshotter:v2.1.1
ses/7/cephcsi/csi-snapshotter:v4.2.0
ses/7/prometheus-webhook-snmp
ses/7/rook/ceph
suse/sle-micro/5.0/toolbox
suse/sle15:15.0
suse/sle15:15.1
suse/sle15:15.2
suse/sles/15.2/virt-api:0.38.1
suse/sles/15.2/virt-controller:0.38.1
suse/sles/15.2/virt-handler:0.38.1
suse/sles/15.2/virt-launcher:0.38.1
suse/sles/15.2/virt-operator:0.38.1
suse/sles12sp3
suse/sles12sp4
suse/sles12sp5
glibcNot affected


SUSE Timeline for this CVE

CVE page created: Wed Nov 28 01:01:50 2018
CVE page last modified: Sun Jun 16 00:18:08 2024